# forestvpn_api
ForestVPN defeats content restrictions and censorship to deliver unlimited access to video, music, social media, 
and more, from anywhere in the world.


This Dart package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Build package: org.openapitools.codegen.languages.DartClientCodegen
For more information, please visit [https://www.forestvpn.com/](https://www.forestvpn.com/)

## Requirements

Dart 2.0 or later

## Installation & Usage

### Github
If this Dart package is published to Github, add the following dependency to your pubspec.yaml
```
dependencies:
  forestvpn_api:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```

### Local
To use the package in your local drive, add the following dependency to your pubspec.yaml
```
dependencies:
  forestvpn_api:
    path: /path/to/forestvpn_api
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:forestvpn_api/api.dart';

// TODO Configure API key authorization: Bearer
//defaultApiClient.getAuthentication<ApiKeyAuth>('Bearer').apiKey = 'YOUR_API_KEY';
// uncomment below to setup prefix (e.g. Bearer) for API key, if needed
//defaultApiClient.getAuthentication<ApiKeyAuth>('Bearer').apiKeyPrefix = 'Bearer';

var api_instance = AppleApi();
var request = AppleVerifyReceiptRequest(); // AppleVerifyReceiptRequest | 

try {
    api_instance.verifyReceipt(request);
} catch (e) {
    print("Exception when calling AppleApi->verifyReceipt: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://api.forestvpn.com/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AppleApi* | [**verifyReceipt**](doc//AppleApi.md#verifyreceipt) | **POST** /apple/verify-receipt/ | Verify receipt
*GeoApi* | [**getCountries**](doc//GeoApi.md#getcountries) | **GET** /countries/ | List of available countries
*GeoApi* | [**getLocations**](doc//GeoApi.md#getlocations) | **GET** /locations/ | List of available locations
*GoogleApi* | [**verifyGooglePlayPurchase**](doc//GoogleApi.md#verifygoogleplaypurchase) | **POST** /google/verify-purchase/ | Google play purchase verification service
*UsageApi* | [**getTraffic**](doc//UsageApi.md#gettraffic) | **GET** /usage/traffic/ | Get traffic usage for current month
*UserApi* | [**getPremium**](doc//UserApi.md#getpremium) | **GET** /user/premium/ | Get premium status details
*WireguardApi* | [**createProfile**](doc//WireguardApi.md#createprofile) | **POST** /wg/profiles/ | Create new WireGuard profile
*WireguardApi* | [**deleteProfile**](doc//WireguardApi.md#deleteprofile) | **DELETE** /wg/profiles/{profileId}/ | Delete WireGuarg profile
*WireguardApi* | [**getProfile**](doc//WireguardApi.md#getprofile) | **GET** /wg/profiles/{profileId}/ | Retrieve WireGuarg profile
*WireguardApi* | [**getProfiles**](doc//WireguardApi.md#getprofiles) | **GET** /wg/profiles/ | Retrieve list of WireGuard profiles
*WireguardApi* | [**updateProfile**](doc//WireguardApi.md#updateprofile) | **PATCH** /wg/profiles/{profileId}/ | Update profile


## Documentation For Models

 - [AndroidDeviceInfo](doc//AndroidDeviceInfo.md)
 - [AndroidDeviceInfoVersion](doc//AndroidDeviceInfoVersion.md)
 - [AppleVerifyReceiptRequest](doc//AppleVerifyReceiptRequest.md)
 - [Country](doc//Country.md)
 - [Error](doc//Error.md)
 - [GeoPoint](doc//GeoPoint.md)
 - [GooglePlayPurchaseVerificationRequest](doc//GooglePlayPurchaseVerificationRequest.md)
 - [IOSDeviceInfo](doc//IOSDeviceInfo.md)
 - [IOSDeviceInfoUtsname](doc//IOSDeviceInfoUtsname.md)
 - [Location](doc//Location.md)
 - [Premium](doc//Premium.md)
 - [ProfilePreference](doc//ProfilePreference.md)
 - [UsageTraffic](doc//UsageTraffic.md)
 - [WireGuardInterface](doc//WireGuardInterface.md)
 - [WireGuardPeer](doc//WireGuardPeer.md)
 - [WireGuardProfile](doc//WireGuardProfile.md)
 - [WireGuardProfileCreateRequest](doc//WireGuardProfileCreateRequest.md)
 - [WireGuardProfileUpdateRequest](doc//WireGuardProfileUpdateRequest.md)
 - [WireGuardProfileUsage](doc//WireGuardProfileUsage.md)


## Documentation For Authorization


## Bearer

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

support@forestvpn.com


