part of forestvpn_api.api;



class GoogleApi {
  final ApiClient apiClient;

  GoogleApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// Google play purchase verification service with HTTP info returned
  ///
  /// 
  Future verifyGooglePlayPurchaseWithHttpInfo(GooglePlayPurchaseVerificationRequest request) async {
    Object postBody = request;

    // verify required params are set
    if(request == null) {
     throw ApiException(400, "Missing required param: request");
    }

    // create path and map variables
    String path = "/google/verify-purchase/".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};

    List<String> contentTypes = ["application/json"];

    String nullableContentType = contentTypes.isNotEmpty ? contentTypes[0] : null;
    List<String> authNames = ["Bearer"];

    if(nullableContentType != null && nullableContentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = MultipartRequest(null, null);
      if(hasFields)
        postBody = mp;
    }
    else {
    }

    var response = await apiClient.invokeAPI(path,
                                             'POST',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             nullableContentType,
                                             authNames);
    return response;
  }

  /// Google play purchase verification service
  ///
  /// 
  Future verifyGooglePlayPurchase(GooglePlayPurchaseVerificationRequest request) async {
    Response response = await verifyGooglePlayPurchaseWithHttpInfo(request);
    if(response.statusCode >= 400) {
      throw ApiException(response.statusCode, _decodeBodyBytes(response));
    } else if(response.body != null) {
    } else {
      return;
    }
  }

}
