part of forestvpn_api.api;

class AndroidDeviceInfo {
  
  AndroidDeviceInfoVersion version = null;
  
  String board = null;
  
  String bootloader = null;
  
  String brand = null;
  
  String device = null;
  
  String display = null;
  
  String fingerprint = null;
  
  String hardware = null;
  
  String host = null;
  
  String id = null;
  
  String manufacturer = null;
  
  String model = null;
  
  String product = null;
  
  String supported32bitAbis = null;
  
  String supported64bitAbis = null;
  
  String supportedAbis = null;
  
  String tags = null;
  
  String type = null;
  
  String isPhysicalDevice = null;
  
  String androidId = null;
  
  String systemFeatures = null;
  AndroidDeviceInfo();

  @override
  String toString() {
    return 'AndroidDeviceInfo[version=$version, board=$board, bootloader=$bootloader, brand=$brand, device=$device, display=$display, fingerprint=$fingerprint, hardware=$hardware, host=$host, id=$id, manufacturer=$manufacturer, model=$model, product=$product, supported32bitAbis=$supported32bitAbis, supported64bitAbis=$supported64bitAbis, supportedAbis=$supportedAbis, tags=$tags, type=$type, isPhysicalDevice=$isPhysicalDevice, androidId=$androidId, systemFeatures=$systemFeatures, ]';
  }

  AndroidDeviceInfo.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    version = (json['version'] == null) ?
      null :
      AndroidDeviceInfoVersion.fromJson(json['version']);
    board = json['board'];
    bootloader = json['bootloader'];
    brand = json['brand'];
    device = json['device'];
    display = json['display'];
    fingerprint = json['fingerprint'];
    hardware = json['hardware'];
    host = json['host'];
    id = json['id'];
    manufacturer = json['manufacturer'];
    model = json['model'];
    product = json['product'];
    supported32bitAbis = json['supported_32bit_abis'];
    supported64bitAbis = json['supported_64bit_abis'];
    supportedAbis = json['supportedAbis'];
    tags = json['tags'];
    type = json['type'];
    isPhysicalDevice = json['isPhysicalDevice'];
    androidId = json['androidId'];
    systemFeatures = json['systemFeatures'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (version != null)
      json['version'] = version;
    if (board != null)
      json['board'] = board;
    if (bootloader != null)
      json['bootloader'] = bootloader;
    if (brand != null)
      json['brand'] = brand;
    if (device != null)
      json['device'] = device;
    if (display != null)
      json['display'] = display;
    if (fingerprint != null)
      json['fingerprint'] = fingerprint;
    if (hardware != null)
      json['hardware'] = hardware;
    if (host != null)
      json['host'] = host;
    if (id != null)
      json['id'] = id;
    if (manufacturer != null)
      json['manufacturer'] = manufacturer;
    if (model != null)
      json['model'] = model;
    if (product != null)
      json['product'] = product;
    if (supported32bitAbis != null)
      json['supported_32bit_abis'] = supported32bitAbis;
    if (supported64bitAbis != null)
      json['supported_64bit_abis'] = supported64bitAbis;
    if (supportedAbis != null)
      json['supportedAbis'] = supportedAbis;
    if (tags != null)
      json['tags'] = tags;
    if (type != null)
      json['type'] = type;
    if (isPhysicalDevice != null)
      json['isPhysicalDevice'] = isPhysicalDevice;
    if (androidId != null)
      json['androidId'] = androidId;
    if (systemFeatures != null)
      json['systemFeatures'] = systemFeatures;
    return json;
  }

  static List<AndroidDeviceInfo> listFromJson(List<dynamic> json) {
    return json == null ? List<AndroidDeviceInfo>() : json.map((value) => AndroidDeviceInfo.fromJson(value)).toList();
  }

  static Map<String, AndroidDeviceInfo> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, AndroidDeviceInfo>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = AndroidDeviceInfo.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of AndroidDeviceInfo-objects as value to a dart map
  static Map<String, List<AndroidDeviceInfo>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<AndroidDeviceInfo>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = AndroidDeviceInfo.listFromJson(value);
       });
     }
     return map;
  }
}

