part of forestvpn_api.api;

class IOSDeviceInfo {
  
  String name = null;
  
  String systemName = null;
  
  String systemVersion = null;
  
  String model = null;
  
  String localizedModel = null;
  
  String identifierForVendor = null;
  
  String isPhysicalDevice = null;
  
  IOSDeviceInfoUtsname utsname = null;
  IOSDeviceInfo();

  @override
  String toString() {
    return 'IOSDeviceInfo[name=$name, systemName=$systemName, systemVersion=$systemVersion, model=$model, localizedModel=$localizedModel, identifierForVendor=$identifierForVendor, isPhysicalDevice=$isPhysicalDevice, utsname=$utsname, ]';
  }

  IOSDeviceInfo.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    name = json['name'];
    systemName = json['system_name'];
    systemVersion = json['system_version'];
    model = json['model'];
    localizedModel = json['localized_model'];
    identifierForVendor = json['identifier_for_vendor'];
    isPhysicalDevice = json['is_physical_device'];
    utsname = (json['utsname'] == null) ?
      null :
      IOSDeviceInfoUtsname.fromJson(json['utsname']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (name != null)
      json['name'] = name;
    if (systemName != null)
      json['system_name'] = systemName;
    if (systemVersion != null)
      json['system_version'] = systemVersion;
    if (model != null)
      json['model'] = model;
    if (localizedModel != null)
      json['localized_model'] = localizedModel;
    if (identifierForVendor != null)
      json['identifier_for_vendor'] = identifierForVendor;
    if (isPhysicalDevice != null)
      json['is_physical_device'] = isPhysicalDevice;
    if (utsname != null)
      json['utsname'] = utsname;
    return json;
  }

  static List<IOSDeviceInfo> listFromJson(List<dynamic> json) {
    return json == null ? List<IOSDeviceInfo>() : json.map((value) => IOSDeviceInfo.fromJson(value)).toList();
  }

  static Map<String, IOSDeviceInfo> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, IOSDeviceInfo>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = IOSDeviceInfo.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of IOSDeviceInfo-objects as value to a dart map
  static Map<String, List<IOSDeviceInfo>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<IOSDeviceInfo>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = IOSDeviceInfo.listFromJson(value);
       });
     }
     return map;
  }
}

