part of forestvpn_api.api;

class Location {
  
  String id = null;
  
  Country country = null;
  
  GeoPoint point = null;
  
  String name = null;
  
  String printableName = null;
  Location();

  @override
  String toString() {
    return 'Location[id=$id, country=$country, point=$point, name=$name, printableName=$printableName, ]';
  }

  Location.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    country = (json['country'] == null) ?
      null :
      Country.fromJson(json['country']);
    point = (json['point'] == null) ?
      null :
      GeoPoint.fromJson(json['point']);
    name = json['name'];
    printableName = json['printable_name'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (country != null)
      json['country'] = country;
    if (point != null)
      json['point'] = point;
    if (name != null)
      json['name'] = name;
    if (printableName != null)
      json['printable_name'] = printableName;
    return json;
  }

  static List<Location> listFromJson(List<dynamic> json) {
    return json == null ? List<Location>() : json.map((value) => Location.fromJson(value)).toList();
  }

  static Map<String, Location> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Location>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Location.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Location-objects as value to a dart map
  static Map<String, List<Location>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Location>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Location.listFromJson(value);
       });
     }
     return map;
  }
}

