part of forestvpn_api.api;

class Premium {
  
  bool active = null;
  
  Object purchaseDate = null;
  
  DateTime expiresDate = null;
  
  bool isTrialPeriod = null;
  
  bool isInIntroOfferPeriod = null;
  
  bool isUpgraded = null;
  Premium();

  @override
  String toString() {
    return 'Premium[active=$active, purchaseDate=$purchaseDate, expiresDate=$expiresDate, isTrialPeriod=$isTrialPeriod, isInIntroOfferPeriod=$isInIntroOfferPeriod, isUpgraded=$isUpgraded, ]';
  }

  Premium.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    active = json['active'];
    purchaseDate = json['purchase_date'];
    expiresDate = (json['expires_date'] == null) ?
      null :
      DateTime.parse(json['expires_date']);
    isTrialPeriod = json['is_trial_period'];
    isInIntroOfferPeriod = json['is_in_intro_offer_period'];
    isUpgraded = json['is_upgraded'];
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (active != null)
      json['active'] = active;
      json['purchase_date'] = purchaseDate;
      json['expires_date'] = expiresDate == null ? null : expiresDate.toUtc().toIso8601String();
    if (isTrialPeriod != null)
      json['is_trial_period'] = isTrialPeriod;
    if (isInIntroOfferPeriod != null)
      json['is_in_intro_offer_period'] = isInIntroOfferPeriod;
    if (isUpgraded != null)
      json['is_upgraded'] = isUpgraded;
    return json;
  }

  static List<Premium> listFromJson(List<dynamic> json) {
    return json == null ? List<Premium>() : json.map((value) => Premium.fromJson(value)).toList();
  }

  static Map<String, Premium> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, Premium>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = Premium.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of Premium-objects as value to a dart map
  static Map<String, List<Premium>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<Premium>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = Premium.listFromJson(value);
       });
     }
     return map;
  }
}

