part of forestvpn_api.api;

class WireGuardInterface {
  
  List<String> address = [];
  
  String listenPort = null;
  
  String fwMark = null;
  
  String privateKey = null;
  
  String publicKey = null;
  
  List<String> dns = [];
  WireGuardInterface();

  @override
  String toString() {
    return 'WireGuardInterface[address=$address, listenPort=$listenPort, fwMark=$fwMark, privateKey=$privateKey, publicKey=$publicKey, dns=$dns, ]';
  }

  WireGuardInterface.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    address = (json['address'] == null) ?
      null :
      (json['address'] as List).cast<String>();
    listenPort = json['listen_port'];
    fwMark = json['fw_mark'];
    privateKey = json['private_key'];
    publicKey = json['public_key'];
    dns = (json['dns'] == null) ?
      null :
      (json['dns'] as List).cast<String>();
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (address != null)
      json['address'] = address;
      json['listen_port'] = listenPort;
      json['fw_mark'] = fwMark;
    if (privateKey != null)
      json['private_key'] = privateKey;
    if (publicKey != null)
      json['public_key'] = publicKey;
      json['dns'] = dns;
    return json;
  }

  static List<WireGuardInterface> listFromJson(List<dynamic> json) {
    return json == null ? List<WireGuardInterface>() : json.map((value) => WireGuardInterface.fromJson(value)).toList();
  }

  static Map<String, WireGuardInterface> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, WireGuardInterface>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = WireGuardInterface.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of WireGuardInterface-objects as value to a dart map
  static Map<String, List<WireGuardInterface>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<WireGuardInterface>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = WireGuardInterface.listFromJson(value);
       });
     }
     return map;
  }
}

