part of forestvpn_api.api;

class WireGuardProfile {
  
  String id = null;
  
  String deviceId = null;
  
  String deviceName = null;
  
  WireGuardInterface interface_ = null;
  
  List<WireGuardPeer> peers = [];
  
  ProfilePreference preference = null;
  
  WireGuardProfileUsage usage = null;
  WireGuardProfile();

  @override
  String toString() {
    return 'WireGuardProfile[id=$id, deviceId=$deviceId, deviceName=$deviceName, interface_=$interface_, peers=$peers, preference=$preference, usage=$usage, ]';
  }

  WireGuardProfile.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id = json['id'];
    deviceId = json['device_id'];
    deviceName = json['device_name'];
    interface_ = (json['interface'] == null) ?
      null :
      WireGuardInterface.fromJson(json['interface']);
    peers = (json['peers'] == null) ?
      null :
      WireGuardPeer.listFromJson(json['peers']);
    preference = (json['preference'] == null) ?
      null :
      ProfilePreference.fromJson(json['preference']);
    usage = (json['usage'] == null) ?
      null :
      WireGuardProfileUsage.fromJson(json['usage']);
  }

  Map<String, dynamic> toJson() {
    Map <String, dynamic> json = {};
    if (id != null)
      json['id'] = id;
    if (deviceId != null)
      json['device_id'] = deviceId;
    if (deviceName != null)
      json['device_name'] = deviceName;
    if (interface_ != null)
      json['interface'] = interface_;
    if (peers != null)
      json['peers'] = peers;
    if (preference != null)
      json['preference'] = preference;
    if (usage != null)
      json['usage'] = usage;
    return json;
  }

  static List<WireGuardProfile> listFromJson(List<dynamic> json) {
    return json == null ? List<WireGuardProfile>() : json.map((value) => WireGuardProfile.fromJson(value)).toList();
  }

  static Map<String, WireGuardProfile> mapFromJson(Map<String, dynamic> json) {
    var map = Map<String, WireGuardProfile>();
    if (json != null && json.isNotEmpty) {
      json.forEach((String key, dynamic value) => map[key] = WireGuardProfile.fromJson(value));
    }
    return map;
  }

  // maps a json object with a list of WireGuardProfile-objects as value to a dart map
  static Map<String, List<WireGuardProfile>> mapListFromJson(Map<String, dynamic> json) {
    var map = Map<String, List<WireGuardProfile>>();
     if (json != null && json.isNotEmpty) {
       json.forEach((String key, dynamic value) {
         map[key] = WireGuardProfile.listFromJson(value);
       });
     }
     return map;
  }
}

